#!/usr/bin/make -f

include /usr/share/dpkg/buildtools.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# Uncomment this to force a specific compiler, like 'gcc-9' or 'gcc-10'.
#export CC=gcc-10

# Make sure lintian does not complain about missing hardenings.
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Make sure the decades-old source code gets compiled by allowing implicit
# function declarations and, for gcc-14 and above, by downgrading the
# diagnostics applied by the compiler. See
# https://gcc.gnu.org/onlinedocs/gcc-14.1.0/gcc/Warning-Options.html
# for further details.
export DEB_CFLAGS_MAINT_STRIP=-Werror=implicit-function-declaration
cc_major := $(shell $(CC) --version | head -n1 | cut -d' ' -f4 | cut -d. -f1)
cc_major_ge_14 := $(shell [ $(cc_major) -ge 14 ] && echo 'true')
export DEB_CFLAGS_MAINT_APPEND=$(if $(cc_major_ge_14),-fpermissive)

%:
	dh $@

# Remove files generated by override_dh_auto_build.
execute_after_dh_auto_clean:
	$(RM) debian/faq.txt debian/start.txt

# Generate text files from html sources.
execute_after_dh_auto_build:
	LANGUAGE=en && lynx -dump debian/faq.html   | sed 's,file://.*/,,' > debian/faq.txt
	LANGUAGE=en && lynx -dump debian/start.html | sed 's,file://.*/,,' > debian/start.txt
